using System;
using System.IO;

class TestReadFlush
{
	static void Main()
	{
		using(FileStream fs = new FileStream("test.bin", FileMode.Open))
		{
			// Reads whole file into buffer (10 bytes)
			fs.ReadByte();

			// Flush on read stream should clear the buffer and move position
			// to the last uread byte (that's position in this sample)
			fs.Flush();

			// Should read next byte but throws exception because position
			// is not moved.
			fs.ReadByte();

			Console.WriteLine("test ok, no exception thrown");
		}
	}
}